<?php

namespace Drupal\feedback_ai\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a custom form block.
 *
 * @Block(
 *   id = "feedback_ai_block",
 *   admin_label = @Translation("Feedback AI Form"),
 *   category = @Translation("Feedback AI Block"),
 * )
 */
class FeedbackAIBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {

    $feedback_ai_block = \Drupal::formBuilder()->getForm('\Drupal\feedback_ai\Form\FeedbackAIForm');

    return [
      '#type' => 'container',
      '#attributes' => ['class' => ['feedback-ai-block']],
      '#title' => $this->t('Feedback AI Form'),
      '#title_display' => 'before',
      'content' => $feedback_ai_block,
      '#theme' => 'feedback_ai_block',
    ];

  }

}
